<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@8011=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pw@80C9=9999</action>
    </script>
  </cheat>

  <cheat desc="Drain All Boss's Energy Now!">
    <script state="on">
      <action>maincpu.pb@8262=00</action>
    </script>
  </cheat>

  <cheat desc="Always Max Rescued People">
    <script state="run">
      <action>maincpu.pb@80BD=63</action>
    </script>
  </cheat>

  <cheat desc="Select Current Stage"> <comment>Enable this along with the display Cheat - enable them on the Big Green Robot screen for the best effect</comment>
    <parameter min="1" max="14" step="1"/>
    <script state="change">
      <action>maincpu.pb@8021=(param)</action>
    </script>
  </cheat>

  <cheat desc="Select Current Stage (Only Display)"> <comment>This is needed as 'Copy Previous Value' doesn't work in the cheat engine</comment>
    <parameter min="1" max="14" step="1"/>
    <script state="change">
      <action>maincpu.pb@8022=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@81B4=40</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@8023=05</action>
    </script>
  </cheat>

  <cheat desc="Select First Weapon PL1"> <comment>Do NOT use the Gun on the VS mode or the game will hang!!!</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x01">Gun</item>
      <item value="0x02">Shield?</item>
      <item value="0x03">Knife</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81B8=param</action>
    </script>
  </cheat>

  <cheat desc="Select Second Weapon PL1"> <comment>Do NOT use the Gun on the VS mode or the game will hang!!!</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x81">Gun</item>
      <item value="0x82">Shield?</item>
      <item value="0x83">Knife</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@81B9=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2"> <comment>Only VS mode</comment>
    <script state="run">
      <action>maincpu.pb@8024=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2"> <comment>Only VS mode</comment>
    <script state="run">
      <action>maincpu.pb@8262=40</action>
    </script>
  </cheat>

  <cheat desc="Select First Weapon PL2"> <comment>Only VS mode, Do NOT use the Gun on the VS mode or the game will hang!!!</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x01">Gun</item>
      <item value="0x02">Shield?</item>
      <item value="0x03">Knife</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@8266=param</action>
    </script>
  </cheat>

  <cheat desc="Select Second Weapon PL2"> <comment>Only VS mode, Do NOT use the Gun on the VS mode or the game will hang!!!</comment>
    <parameter>
      <item value="0x00">No Weapon</item>
      <item value="0x81">Gun</item>
      <item value="0x82">Shield?</item>
      <item value="0x83">Knife</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@8267=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
